%global srcname netlib
%global sum A collection of network utility classes

Name:          python-%{srcname}
Version:       0.15
Release:       9%{?dist}
Summary:       %{sum}

License:       MIT
URL:           https://github.com/mitmproxy/netlib
Source0:       https://pypi.python.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: python2-devel
BuildRequires: python3-devel

%description
Netlib is a collection of network utility classes, used by the pathod and
mitmproxy projects. It differs from other projects in some fundamental
respects, because both pathod and mitmproxy often need to violate standards.
This means that protocols are implemented as small, well-contained and
flexible functions, and are designed to allow misbehaviour when needed.

%package -n python2-%{srcname}
Summary:       %{sum}
Requires:      python2-pyasn1
Requires:      pyOpenSSL
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Netlib is a collection of network utility classes, used by the pathod and
mitmproxy projects. It differs from other projects in some fundamental
respects, because both pathod and mitmproxy often need to violate standards.
This means that protocols are implemented as small, well-contained and
flexible functions, and are designed to allow misbehaviour when needed.

%package -n python3-%{srcname}
Summary:       %{sum}
Requires:      python3-pyasn1
Requires:      python3-pyOpenSSL
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Netlib is a collection of network utility classes, used by the pathod and
mitmproxy projects. It differs from other projects in some fundamental
respects, because both pathod and mitmproxy often need to violate standards.
This means that protocols are implemented as small, well-contained and
flexible functions, and are designed to allow misbehaviour when needed.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf test

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%doc README.rst CONTRIBUTORS
%license LICENSE
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc README.rst CONTRIBUTORS
%license LICENSE
%{python3_sitelib}/*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.15-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.15-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 13 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.15-1
- Cleanup and py3
- Update to lastest upsteam release 1.6.0 (rhbz#1165321)

* Wed Oct 14 2015 Dhiru Kholia <dhiru@openwall.com> - 0.13.1-2
- update to netlib 0.13.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Dhiru Kholia <dhiru@openwall.com> - 0.10-3
- removed group tag, own files only (BZ #1069124)

* Tue Feb 25 2014 Dhiru Kholia <dhiru@openwall.com> - 0.10-2
- fix build problems

* Mon Feb 24 2014 Dhiru Kholia <dhiru@openwall.com> - 0.10-1
- initial version
